%define name ejecter
%define version 0.2.1
%define release %mkrel 1

Summary:     Ejecter - Safely, easily remove external media.
Name:        %{name}
Version:     %{version}
Release:     %{release}
Group:       Graphical desktop/GNOME
License:     GPL v3
URL:         https://launchpad.net/ejecter
Source0:     %{name}-%{version}.tar.bz2
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: vala 
BuildRequires: libgtk+2.0_0-devel
BuildRequires: python-devel
BuildRequires: libhal1-devel
BuildRequires: cmake


%description
Safely, easily remove external media. A simple menu that sits in the system notification area,
providing you a quick way to unmount external peripherals
such as usb pendrives, cd/dvd, external hard disks and so.

%prep
%setup -q -n %{name}-%{version}


%build
./waf configure --prefix=/usr
./waf build -j4 

%install
rm -rf $RPM_BUILD_ROOT
./waf install --destdir=%{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart/
cat > %{buildroot}/%{_sysconfdir}/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Ejecter
Exec=ejecter
Comment=Notification area menu to unmount devices
X-GNOME-Autostart-enabled=true
EOF


# remove
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/COPYING


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README INSTALL
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}

%changelog
* Sun Apr 05 2009 slick50 <lxgator@gmail.com> 0.2.1-1pclos2007
- initial pkg

